local _G = getfenv(0);
local dewdrop = AceLibrary("Dewdrop-2.0");
local tablet = AceLibrary("Tablet-2.0");
local L = AceLibrary("AceLocale-2.2"):new("Klappa");
---------------------
-- Options Support --
---------------------


function Klappa:InitOptions()
	local options = {
		type="group",   
		args = {
			klappabar = {                                                                             																																																																																																															
				name = "Klappabar",                                                               																																																																																																															
				desc = L["Klappabar configuration"],                                          																																																																																																															
				type = "group",
				args = {  
					lock = {
						name = L["Lock the frame"],
						desc = L["Lock the frame"],
						type = "toggle",
						get = function() return self.db.profile.Locked end,
						set = function(v)
							self.db.profile.Locked = v;
							if(self.IsInitialized) then
								if(v) then
									Klappa.root.texture:Hide();
									Klappa.locked = v;
								else 	
									Klappa.root.texture:Show();
									Klappa.locked = v;
								end
								--self.KlappaBar:SaveConfig();
							end
						end,
						disabled = function() return InCombatLockdown() end,
					},
					
			},
			}
			}
			
	};
	Klappa.OnMenuRequest = options;
	return options;
end

function Klappa:InitStyles(input)
	
end

-------------
-- Profile --
-------------
function Klappa:InitProfile()

end
-----------
-- FuBar --
-----------


function Klappa:OnTextUpdate()
    
end

function Klappa:OnTooltipUpdate()
	
end
